"Good Host Reports in the last 60 minutes" is always 0% even though puppet is running correctly
Description

"Good Host Reports in the last 60 minutes" is always "0/739 hosts (0%)" even though puppet is running correctly.  I'm running

Foreman 0.3 and have tested it on the nightly release too, same result.  This did not happen with foreman-0.2 or previous releases.

The other stats are reporting correctly:

"Hosts that had performed modifications"

"Out Of Sync Hosts"

"Hosts in Error State"

"Hosts With Alerts Disabled"

History

#1 - 09/01/2011 12:47 PM - monte olvera

- File foreman_good_hosts_issue.bmp added

the screen shot didn't get uploaded, here it is.

#2 - 09/01/2011 12:54 PM - monte olvera

ok, disregard the previous update.  After restarting my browser I see the file did get uploaded, geez....

#3 - 09/01/2011 02:11 PM - Ohad Levy

very interesting.. what does the report tab show? does it include any messages etc?

any chance you can provide sample reports?

last question, what version of puppet is running on the host running foreman?

#4 - 09/01/2011 03:01 PM - monte olvera

- File reports.bmp added

- File report_details.bmp added

- File puppet_master_syslog.bmp added

- File puppet_client_syslog.bmp added

- File host_report_status.bmp added

see attached.  All clients and the puppet/foreman master are running Puppet 2.7.1.  I've also tested Puppet 2.7.3 on some clients and a

puppet/foreman master in my test environment, same results.  I'm running Foreman 0.3 and as previously stated I've tested the nightly version too,

same results.  Foreman 0.2 was fine and I have not changed anything in Puppet since upgrading to 0.3.

#5 - 09/01/2011 03:43 PM - Ohad Levy

in order to test it, I would need to get a report yaml file.

can you enable reports = store,..  on your master, it should create some report files and attach them to the ticket?

thanks
#6 - 09/01/2011 04:10 PM - monte olvera

- File server1.domain.com-201109012001.yaml added

- File server2.domain.com-201109012001.yaml added

- File server3.domain.com-201109012001.yaml added

reports like the ones created here?

/opt/puppet/var/reports/servername.domain.com/201109011957.yaml

If so, see attached.  If not please advise.

#7 - 09/01/2011 04:46 PM - monte olvera

ah, 1 server reported good in the last 60 minutes!  How do I find out which server it is?  Is there something I can grep for in the yaml report files or an

API query I can run?

#8 - 09/02/2011 09:14 AM - monte olvera

any updates?  Thanks.

#9 - 09/02/2011 03:32 PM - Ohad Levy

any chance the admin user permissions are blocking the operations? do you see anything in foreman logs when a report comes in? using your

sample data I cant reproduce the problem.

#10 - 09/04/2011 04:50 AM - Ohad Levy

- Status changed from New to Need more information

Ohad Levy wrote:

any chance the admin user permissions are blocking the operations? do you see anything in foreman logs when a report comes in? using your

sample data I cant reproduce the problem.

 I'm guessing that the Admin user has no more permissions to update hosts... just to be 100% sure, can you try running it with the latest foreman on a

clean DB?

#11 - 09/06/2011 10:39 AM - monte olvera

- File foreman-icon-display.bmp added

it's working as expected on the nightly release downloaded this morning (with the same database).  Did something change from 09/01/2011's nightly

release to 09/06/2011's?

On a side note, the nightly release is not showing the foreman "icon" correctly, see attached.

#12 - 09/06/2011 10:47 AM - Ohad Levy

- Status changed from Need more information to Closed

great

I'm guessing you didnt restart your foreman instance or browser cache

#13 - 09/06/2011 10:56 AM - monte olvera

I restarted apache (foreman and puppet ran from passenger) several times as well as clearing browser cache and restarting my browser.  Not sure

what's up but glad it's working now.  Thanks.

Any thoughts on the foreman icon issue from the previous attachment?

Files

foreman_good_hosts_issue.bmp 3.52 MB 09/01/2011 monte olvera

reports.bmp 3.75 MB 09/01/2011 monte olvera

report_details.bmp 3.75 MB 09/01/2011 monte olvera

puppet_master_syslog.bmp 460 KB 09/01/2011 monte olvera

puppet_client_syslog.bmp 377 KB 09/01/2011 monte olvera
host_report_status.bmp 3.75 MB 09/01/2011 monte olvera

server1.domain.com-201109012001.yaml 4.45 KB 09/01/2011 monte olvera

server2.domain.com-201109012001.yaml 4.44 KB 09/01/2011 monte olvera

server3.domain.com-201109012001.yaml 4.44 KB 09/01/2011 monte olvera

foreman-icon-display.bmp 807 KB 09/06/2011 monte olvera
